PCAP_OPEN_DEAD(3) |  | PCAP_OPEN_DEAD(3)

# NAME

pcap_open_dead - open a fake pcap_t for compiling filters or opening a capture for output

# SYNOPSIS

#include <pcap/pcap.h>

pcap_t *pcap_open_dead(int linktype, int snaplen);

# DESCRIPTION

pcap_open_dead() is used for creating a pcap_t structure to use when calling the other functions in libpcap. It is typically used when just using libpcap for compiling BPF code.

linktype specifies the link-layer type for the pcap_t.

snaplen specifies the snapshot length for the pcap_t.

# SEE ALSO

pcap(3), pcap-linktype(7)

5 April 2008 |